=== tests/CMakeLists.txt ===
add_subdirectory(common)
if (BUILD_CORE)
    add_subdirectory(core)
endif()
