=== debian/changelog ===
quassel (1:0.14.0-3ubuntu2) questing; urgency=medium

  * Re-enable building for riscv64 (LP: #2121427)

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Tue, 26 Aug 2025 00:07:04 +0200

quassel (1:0.14.0-3ubuntu1) questing; urgency=medium

  * Merge with Debian unstable. (LP: #2115232)  Remaining changes:
    - Add d/patches/01_change_default_libera_channel.patch. Replaces default
    #quassel channel with #ubuntu.
    - Remove d/patches/01_default_network_channel.patch. Superseded by the
    previous libera channel patch.
    - Update apparmor profile to allow running in lxd.
    - Limit the build to only those architectures supported by QtWebEngine 5
  * Drop Changes:
    - Drop build-dependency on qtwebkit. (Closes: 1098332)

 -- Matthieu Clemenceau <matthieu.clemenceau@canonical.com>  Mon, 23 Jun 2025 21:24:23 -0500

quassel (1:0.14.0-3) unstable; urgency=medium

  * Team upload.
  * Drop build-dependency on qtwebkit. (Closes: #1098332)

 -- Felix Geyer <fgeyer@debian.org>  Fri, 21 Feb 2025 18:24:24 +0100

quassel (1:0.14.0-2ubuntu4) plucky; urgency=medium

  * Remove the build dependency on QtWebKit 5, and limit the build to only
    those architectures supported by QtWebEngine 5 (LP: #2100639).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 04 Mar 2025 23:12:53 -0600

quassel (1:0.14.0-2ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:09:03 +0000

quassel (1:0.14.0-2ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:57:50 +0000

quassel (1:0.14.0-2ubuntu1) mantic; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Add d/patches/01_change_default_libera_channel.patch. Replaces default
      #quassel channel with #ubuntu.
    - Remove d/patches/01_default_network_channel.patch. Superseded by the
      previous libera channel patch.
    - Update apparmor profile to allow running in lxd.

 -- Rik Mills <rikmills@kde.org>  Sun, 23 Jul 2023 18:41:56 +0100

quassel (1:0.14.0-2) unstable; urgency=medium

  * Team upload.

  [ Christian Göttsche ]
  * Update blhc configuration

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 12 to 13.
    + debian/rules: Drop --fail-missing argument to dh_missing, which is now the
      default.
  * Fix day-of-week for changelog entries 0.5.1-2, 0.3.1+dfsg-2, 0.3.1+dfsg-1.
  * Update standards version to 4.6.1, no changes needed.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

  [ Adrian Bunk ]
  * qtwebengine5-dev is now available on mips64el.

  [ Pino Toscano ]
  * Update standards version to 4.6.2, no changes needed.
  * Drop patch 02_script_interpreter_path.patch, as now dh_perl rewrites perl
    shebangs.
  * Stop using qtwebengine5-dev on mipsel, as it will be removed soon from
    that architecture.
  * Switch the list of architectures for libqt5webkit5-dev to be a negated
    version of the ones for qtwebengine5-dev, so it is easier to maintain.
  * Remove inactive Uploaders.
  * Drop the obsolete lsb-base dependency.
  * Use chrpath to drop the extra RPATH set in binaries.
  * Remove the custom inxi script directly during dh_auto_install, rather than
    with extra checks during dh_install.
  * Use execute_after_dh_install to avoid invoking dh_install manually.
  * Use the ${perl:Depends} substvar in quassel-data.
  * CI: do not consider lintian warnings as fatal.

 -- Pino Toscano <pino@debian.org>  Sat, 22 Jul 2023 09:18:22 +0200

quassel (1:0.14.0-1ubuntu5) lunar; urgency=medium

  * No-change rebuild against libldap-2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 15 Dec 2022 19:54:34 +0000

quassel (1:0.14.0-1ubuntu4) kinetic; urgency=medium

  * Remove d/patches/01_default_network_channel.patch
    - Superseded
  * Add d/patches/01_change_default_libera_channel.patch
    - Replaces default #quassel channel with #ubuntu (LP: #1980687)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Wed, 06 Jul 2022 19:41:57 -0700

quassel (1:0.14.0-1ubuntu3) kinetic; urgency=medium

  * d/patches/01_default_network_channel.patch
    - Fix network name from DebianIRC to UbuntuIRC (LP: #1980687)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Wed, 06 Jul 2022 10:43:03 -0700

quassel (1:0.14.0-1ubuntu2) kinetic; urgency=medium

  * d/patches/01_default_network_channel.patch
    - Update to point to #ubuntu on irc.libera.chat by default (LP: #1980687)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Mon, 04 Jul 2022 11:26:24 -0700

quassel (1:0.14.0-1ubuntu1) kinetic; urgency=medium

  * d/usr.bin.quasselcore:
    - Update apparmor profile to allow running in lxd (LP: #1814302)

 -- Dave Jones <dave.jones@canonical.com>  Sun, 12 Jun 2022 20:52:19 +0100

quassel (1:0.14.0-1build1) jammy; urgency=medium

  * No-change rebuild to update maintainer scripts, see LP: 1959054

 -- Dave Jones <dave.jones@canonical.com>  Wed, 16 Feb 2022 17:28:49 +0000

quassel (1:0.14.0-1) unstable; urgency=medium

  * Update d/watch to version 4 and to point to the new upstream location
  * Delete d/patches/qt514 and update d/p/series due to new release
  * New upstream release
    - Refresh patches
  * Add libboost-dev to build-depends
  * Update d/quassel-data.install for current install locations
  * Update d/rules to not build shared library: ENABLE_SHARED=OFF
  * Add libldap2-dev to build-depends to enable support for LDAP
    authentication
  * Add NEWS entry about new database and config file formats
  * Update quasselcore.1 for 0.14.0

 -- Scott Kitterman <scott@kitterman.com>  Wed, 12 Jan 2022 17:29:46 -0500
