=== debian/control ===
Source: quassel
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Scott Kitterman <scott@kitterman.com>,
Build-Depends: debhelper-compat (= 13),
               dh-apparmor,
               chrpath,
               cmake,
               libqca-qt5-2-dev,
               zlib1g-dev,
               qttools5-dev-tools,
               qttools5-dev,
               qtscript5-dev,
               qtmultimedia5-dev,
               libboost-dev,
               libldap2-dev,
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               libdbusmenu-qt5-dev,
               qtwebengine5-dev [amd64 arm64 armhf i386 mips64el],
               extra-cmake-modules,
               libkf5textwidgets-dev,
               libkf5coreaddons-dev,
               libkf5xmlgui-dev,
               libkf5notifications-dev,
               libkf5notifyconfig-dev,
               libkf5widgetsaddons-dev,
               libssl-dev
Homepage: https://www.quassel-irc.org/
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/quassel.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/quassel

Package: quassel-core
Architecture: amd64 arm64 armhf i386 mips64el riscv64
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, libqt5sql5-sqlite, openssl
Recommends: ca-certificates
Suggests: libqt5sql5-psql
Description: distributed IRC client - core component
 Quassel is a modern, cross-platform, distributed IRC client, meaning that
 one or more clients can attach to and detach from the central core. It's
 much like the popular combination of screen and a text-based IRC client
 such as WeeChat or irssi, but graphical.
 .
 This package provides only the core component.

Package: quassel-client
Architecture: amd64 arm64 armhf i386 mips64el riscv64
Depends: ${shlibs:Depends}, ${misc:Depends}, quassel-data (= ${source:Version}), default-dbus-session-bus | dbus-session-bus
Breaks: quassel-client-kde4 (<< 0.12.2)
Replaces: quassel-client-kde4 (<< 0.12.2)
Description: distributed IRC client - client component
 Quassel is a modern, cross-platform, distributed IRC client, meaning that
 one or more clients can attach to and detach from the central core. It's
 much like the popular combination of screen and a text-based IRC client
 such as WeeChat or irssi, but graphical.
 .
 This package provides only the client component.

Package: quassel
Architecture: amd64 arm64 armhf i386 mips64el riscv64
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt5sql5-sqlite, quassel-data (= ${source:Version}), default-dbus-session-bus | dbus-session-bus
Recommends: ca-certificates
Breaks: quassel-kde4 (<< 0.12.2)
Replaces: quassel-kde4 (<< 0.12.2)
Description: distributed IRC client - monolithic core+client
 Quassel is a modern, cross-platform, distributed IRC client, meaning that
 one or more clients can attach to and detach from the central core. It's
 much like the popular combination of screen and a text-based IRC client
 such as WeeChat or irssi, but graphical.
 .
 This package provides the monolithic client. It contains both core and
 client and can be used like a traditional IRC client, without requiring an
 external core.

Package: quassel-data
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}
Recommends: breeze-icon-theme | oxygen-icon-theme
Suggests: inxi
Conflicts: quassel-data-kde4
Multi-Arch: foreign
Description: distributed IRC client - shared data
 Quassel is a modern, cross-platform, distributed IRC client, meaning that
 one or more clients can attach to and detach from the central core. It's
 much like the popular combination of screen and a text-based IRC client
 such as WeeChat or irssi, but graphical.
 .
 This package provides files used by the Quassel client packages.
