=== debian/watch ===
version=4
https://www.quassel-irc.org/pub/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
