## quassel 0.14.0-1ubuntu0.22.04.4%2B11.0trisquel3

=== debian/changelog ===
quassel (1:0.14.0-1ubuntu0.22.04.4+11.0trisquel3) aramo; urgency=medium

  * Change default channel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 26 Jul 2022 19:24:57 +0000

quassel (1:0.14.0-1ubuntu0.22.04.4) jammy; urgency=medium

  * Remove d/patches/01_default_network_channel.patch
    - Superseded
  * Add d/patches/01_change_default_libera_channel.patch
    - Replaces default #quassel channel with #ubuntu (LP: #1980687)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Wed, 06 Jul 2022 19:53:53 -0700

quassel (1:0.14.0-1ubuntu0.22.04.3) jammy; urgency=medium

  * d/patches/01_default_network_channel.patch
    - Fix network name from DebianIRC to UbuntuIRC (LP: #1980687)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Wed, 06 Jul 2022 10:53:29 -0700

quassel (1:0.14.0-1ubuntu0.22.04.2) jammy; urgency=medium

  * d/patches/01_default_network_channel.patch
    - Update to point to #ubuntu on irc.libera.chat by default (LP: #1980687) 

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Mon, 04 Jul 2022 11:48:33 -0700

quassel (1:0.14.0-1ubuntu0.22.04.1) jammy; urgency=medium

  * d/usr.bin.quasselcore:
    - Update apparmor profile to allow running in lxd (LP: #1814302)

 -- Dave Jones <dave.jones@canonical.com>  Sun, 12 Jun 2022 20:52:19 +0100
