=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: quassel
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
-Uploaders: Scott Kitterman <scott@kitterman.com>,
-Build-Depends: debhelper-compat (= 13),
+Uploaders: Thomas Mueller <thomas.mueller@tmit.eu>,
+           Felix Geyer <fgeyer@debian.org>,
+           Scott Kitterman <scott@kitterman.com>
+Build-Depends: debhelper-compat (= 12),
                dh-apparmor,
-               chrpath,
                cmake,
                libqca-qt5-2-dev,
                zlib1g-dev,
@@ -19,7 +20,8 @@
                libphonon4qt5-dev,
                libphonon4qt5experimental-dev,
                libdbusmenu-qt5-dev,
-               qtwebengine5-dev [amd64 arm64 armhf i386 mips64el],
+               qtwebengine5-dev [amd64 arm64 armhf i386 mipsel],
+               libqt5webkit5-dev [armel hurd-i386 mips mips64el ppc64el s390x],
                extra-cmake-modules,
                libkf5textwidgets-dev,
                libkf5coreaddons-dev,
@@ -29,14 +31,14 @@
                libkf5widgetsaddons-dev,
                libssl-dev
 Homepage: https://www.quassel-irc.org/
-Standards-Version: 4.6.2
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/quassel.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/quassel
 
 Package: quassel-core
-Architecture: amd64 arm64 armhf i386 mips64el riscv64
+Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, libqt5sql5-sqlite, openssl
+Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, libqt5sql5-sqlite, lsb-base (>= 3.2-14), openssl
 Recommends: ca-certificates
 Suggests: libqt5sql5-psql
 Description: distributed IRC client - core component
@@ -48,7 +50,7 @@
  This package provides only the core component.
 
 Package: quassel-client
-Architecture: amd64 arm64 armhf i386 mips64el riscv64
+Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, quassel-data (= ${source:Version}), default-dbus-session-bus | dbus-session-bus
 Breaks: quassel-client-kde4 (<< 0.12.2)
 Replaces: quassel-client-kde4 (<< 0.12.2)
@@ -61,7 +63,7 @@
  This package provides only the client component.
 
 Package: quassel
-Architecture: amd64 arm64 armhf i386 mips64el riscv64
+Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libqt5sql5-sqlite, quassel-data (= ${source:Version}), default-dbus-session-bus | dbus-session-bus
 Recommends: ca-certificates
 Breaks: quassel-kde4 (<< 0.12.2)
@@ -78,7 +80,7 @@
 
 Package: quassel-data
 Architecture: all
-Depends: ${misc:Depends}, ${perl:Depends}
+Depends: ${misc:Depends}
 Recommends: breeze-icon-theme | oxygen-icon-theme
 Suggests: inxi
 Conflicts: quassel-data-kde4
